Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.payment
Class TransactionEntryImpl

    java.lang.Object
      |
      +--com.beasys.commerce.foundation.BelongingImpl
            |
            +--com.beasys.commerce.ebusiness.payment.TransactionEntryImpl

public class TransactionEntryImpl
extends BelongingImpl
implements TransactionEntry

This class is the base class of all the payment instrument transaction entries. Payment service specific entites will extend this class in different packages. Thus the creditcard package has a PaylinXCreditCardTransactionEntry that extends TransactionEntry. The com.beasys.commerce.axiom.Price in each TransactionEntry facilitates changing the price of a transaction. Thus a price change to a transaction generates a new transaction entry.

See Also:
  `TransactionEntry`, `TransactionEntryHome`, Serialized Form

Field Summary
`java.sql.Date` | `entryDate` The date this entry was made.
`java.lang.String` | `identifier` The primary key for this entity is an identifier generated using internal logic.
`java.lang.String` | `notes` Holds additional information related to a transaction entry.
`java.lang.String` | `serviceProviderCode` Service provider specific response.
`java.lang.String` | `status` Holds the transaction status based on the service provider's response and its mapping to the payment instruments workflow state.
`Price` | `transactionAmount` Containment: By Value Multiplicity: 1:1

Fields inherited from class com.beasys.commerce.foundation.BelongingImpl
`__classIdentifier, __containingBelonging, __containingEntity, __mapKey, __sequenceNumber, _isDirty`

Constructor Summary
`TransactionEntryImpl()`

Method Summary
`int` | `compareTo(java.lang.Object o)` Compare this belonging to another
`java.sql.Date` | `getEntryDate()` Get the value of entryDate
`java.lang.String` | `getIdentifier()` Get the value of identifier
`java.lang.String` | `getNotes()` Get the value of notes
`java.lang.String` | `getServiceProviderCode()` Get the value of serviceProviderCode
`java.lang.String` | `getStatus()` Get the value of status
`Price` | `getTransactionAmount()` Get the value of transactionAmount
`java.lang.String` | `interfaceName()` interfaceName() returns the unqualified name of the interface from the UML model
`void` | `setByValue(Belonging value)` It is possible to call set-by-value with a superclass.
`void` | `setEntryDate(java.sql.Date entryDate)` Set the value of entryDate
`void` | `setIdentifier(java.lang.String identifier)` Set the value of identifier
`void` | `setNotes(java.lang.String notes)` Set the value of notes
`void` | `setServiceProviderCode(java.lang.String serviceProviderCode)` Set the value of serviceProviderCode
`void` | `setStatus(java.lang.String status)` Set the value of status
`void` | `setTransactionAmount(Price transactionAmount)` Set the value of transactionAmount
`Belonging` | `value()` value() is a more typesafe implementation of clone()

Methods inherited from class com.beasys.commerce.foundation.BelongingImpl
`clearRelationalBinding, clearRelationalBinding, clearRelationalBinding, clearRelationalBinding, clone, doRelationalBinding, doRelationalBinding, doRelationalBindingOnElement, doRelationalBindingOnElement, doRelationalBindingOnElement, doRelationalBindingOnSingleton, doRelationalBindingOnSingleton, doRelationalBindingOnSingleton, doRelationalBindingWithMapKey, doRelationalBindingWithMapKey, doRelationalBindingWithMapKey, enumerateRelationalBinding, enumerateRelationalBinding, equals, get__classIdentifier, get__containingBelonging, get__containingEntity, get__containingEntityReference, get__mapKey, get__sequenceNumber, getPersistenceHelperPlugin, hashCode, set__classIdentifier, set__containingBelonging, set__containingEntity, set__containingEntityReference, set__mapKey, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### entryDate

    public java.sql.Date entryDate

  The date this entry was made.
  - Containment: By Value
  - Multiplicity: 1:1

### identifier

    public java.lang.String identifier

  The primary key for this entity is an identifier generated using internal logic. The AlphaNumericSequencer was not used as it would involve having two instances of it running.
  - Containment: By Value
  - Multiplicity: 1:1

### notes

    public java.lang.String notes

  Holds additional information related to a transaction entry.
  - Containment: By Value
  - Multiplicity: 1:1

### status

    public java.lang.String status

  Holds the transaction status based on the service provider's response and its mapping to the payment instruments workflow state.
  - Containment: By Value
  - Multiplicity: 1:1

### transactionAmount

    public Price transactionAmount

  - Containment: By Value
  - Multiplicity: 1:1

### serviceProviderCode

    public java.lang.String serviceProviderCode

  Service provider specific response.
  - Containment: By Value
  - Multiplicity: 1:1

Constructor Detail

### TransactionEntryImpl

    public TransactionEntryImpl()

Method Detail

### getEntryDate

    public java.sql.Date getEntryDate()

  Get the value of entryDate
  Specified by:
    getEntryDate in interface TransactionEntry

  Returns:
    entryDate.

### setEntryDate

    public void setEntryDate(java.sql.Date entryDate)

  Set the value of entryDate
  Specified by:
    setEntryDate in interface TransactionEntry

  Parameters:
    `entryDate` - entryDate to be added

### getIdentifier

    public java.lang.String getIdentifier()

  Get the value of identifier
  Specified by:
    getIdentifier in interface TransactionEntry

  Returns:
    identifier.

### setIdentifier

    public void setIdentifier(java.lang.String identifier)

  Set the value of identifier
  Specified by:
    setIdentifier in interface TransactionEntry

  Parameters:
    `identifier` - identifier to be added

### getNotes

    public java.lang.String getNotes()

  Get the value of notes
  Specified by:
    getNotes in interface TransactionEntry

  Returns:
    notes.

### setNotes

    public void setNotes(java.lang.String notes)

  Set the value of notes
  Specified by:
    setNotes in interface TransactionEntry

  Parameters:
    `notes` - notes to be added

### getStatus

    public java.lang.String getStatus()

  Get the value of status
  Specified by:
    getStatus in interface TransactionEntry

  Returns:
    status.

### setStatus

    public void setStatus(java.lang.String status)

  Set the value of status
  Specified by:
    setStatus in interface TransactionEntry

  Parameters:
    `status` - status to be added

### getTransactionAmount

    public Price getTransactionAmount()

  Get the value of transactionAmount
  Specified by:
    getTransactionAmount in interface TransactionEntry

  Returns:
    transactionAmount.

### setTransactionAmount

    public void setTransactionAmount(Price transactionAmount)

  Set the value of transactionAmount
  Specified by:
    setTransactionAmount in interface TransactionEntry

  Parameters:
    `transactionAmount` - transactionAmount to be added

### getServiceProviderCode

    public java.lang.String getServiceProviderCode()

  Get the value of serviceProviderCode
  Specified by:
    getServiceProviderCode in interface TransactionEntry

  Returns:
    serviceProviderCode.

### setServiceProviderCode

    public void setServiceProviderCode(java.lang.String serviceProviderCode)

  Set the value of serviceProviderCode
  Specified by:
    setServiceProviderCode in interface TransactionEntry

  Parameters:
    `serviceProviderCode` - serviceProviderCode to be added

### value

    public Belonging value()

  value() is a more typesafe implementation of clone()

  Returns:
    a clone of this instance

### interfaceName

    public java.lang.String interfaceName()

  interfaceName() returns the unqualified name of the interface from the UML model

  Returns:
    the unqualified name of the belonging interface from the UML model

### setByValue

    public void setByValue(Belonging value)

  It is possible to call set-by-value with a superclass. If that is the case, only the fields in the superclass will be set in this instance. The remaining fields get the default values.

  It is also possible to call set-by-value with a subclass. In this case, the specialized fields in the subclass will be ignored. The overridden fields in the subclass will be populated.

  Overrides:
    setByValue in class BelongingImpl

### compareTo

    public int compareTo(java.lang.Object o)

  Compare this belonging to another

  Parameters:
    `o` - target object for comparision
  Returns:
    0 objects are equal
  Overrides:
    compareTo in class BelongingImpl

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved